LinkSharedLibrary (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.nativeplatform.tasks

## Class LinkSharedLibrary

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.tasks.AbstractLinkTask
      - - org.gradle.nativeplatform.tasks.LinkSharedLibrary

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `ObjectFilesToBinary`, `org.gradle.util.Configurable<Task>`

      @Incubating
      public class LinkSharedLibrary
      extends AbstractLinkTask

  Links a binary shared library from object files and imported libraries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkSharedLibrary()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.nativeplatform.internal.LinkerSpec` | `createLinkerSpec()` |
    `RegularFileProperty` | `getImportLibrary()` | Returns the import library produced by this task.
    `Property<String>` | `getInstallName()` | Returns the install name to use by this task.

    - ### Methods inherited from class org.gradle.nativeplatform.tasks.AbstractLinkTask

      `getCompilerVersion, getDebuggable, getDestinationDirectory, getLibs, getLinkedFile, getLinkerArgs, getOperationLoggerFactory, getSource, getTargetPlatform, getToolChain, isDebuggable, lib, link, setLibs, setSource, source`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.gradle.api.plugins.ExtensionAware

      `getExtensions`

    - ### Methods inherited from interface org.gradle.api.Task

      `configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getPath, getProject, getShouldRunAfter, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`

- - ### Constructor Detail

    - #### LinkSharedLibrary

          public LinkSharedLibrary()

  - ### Method Detail

    - #### getImportLibrary

          @Optional
          @OutputFile
          public RegularFileProperty getImportLibrary()

      Returns the import library produced by this task. Defaults to the directory containing the runtime file and is not defined when no import library will be produced.
      Since:
        4.4

    - #### getInstallName

          @Optional
          @Input
          public Property<String> getInstallName()

      Returns the install name to use by this task. Defaults to no install name specified for the binary produced.
      Since:
        5.1

    - #### createLinkerSpec

          protected org.gradle.nativeplatform.internal.LinkerSpec createLinkerSpec()

      Specified by:
        `createLinkerSpec` in class `AbstractLinkTask`